Subject: Re: mmap + segfaults on MPC8349E

From: "R. Ebersole (VTI - new)" <[email-masked]>
Date: Sat, 15 Dec 2007 01:40:26 -0500

Dave,

Attached is the driver code that was in use when we had the problem.
(FPGA_orig.7z)

We think that we *may* have resolved the issue.
We have not, yet, completed testing the resolution, however.

Attached is the updated version of the driver (FPGArw.7z).
So far, this version appears OK when using mmap() without
MAP_FIXED.  We open() the device O_RDWR | O_SYNC.

We were going to switch to using pread(), pwrite(), and ioctl() to
access the FPGA's registers, but we are going to hold off on that
for now.

David Hawkins wrote:

> Hi,
>
> Ok, so assuming you come back with the fact that the seg-fault
> occurs without bursting. Lets take a look at your driver code.
>
> Cheers,
> Dave
>
>
>

-- 

Sometimes I feel like a red shirt in the Star Trek episode of life.

--

This message contains confidential information and is intended only for the
individual named.  If you are not the intended recipient you should not
disseminate, distribute or copy this e-mail.  Please notify the sender
immediately by e-mail if you have received this e-mail by mistake and delete
this e-mail from your system.